> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/faqs/how-to-bypass-the-validation-of-cookie-usage-error-when-using-a-sharinpix-component-in-an-iframe.md).

# How to bypass the 'Validation of Cookie Usage' error when using a SharinPix component in an Iframe?

## Description of the error

Traditionally, the Iframe syntax used to embed a SharinPix component was as follows:

```html
<apex:page standardController="Account" extensions="GetToken">    
    <iframe id="iframeId" class="sharinpix-iframe" src="https://app.sharinpix.com/?token={! SharinPixToken }"></iframe>    
</apex:page>
```

However, some devices encountered a cookie-based error as depicted in the image below:

![](https://751044238-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fi8tH1o5AHthxksYgF6ij%2Fuploads%2F3EDi1SGbzeIhCfuQBtKp%2Fimage%20\(1\).png?alt=media\&token=1c608d95-433d-4b5b-aac8-a1fc01bbea4c)

## Solution: Use of the postMessage method

To overcome this issue, SharinPix adopted the use of the **postMesssage** method. For more detailed information about how to use the postMessage method to bypass the error, click on the link that follows:

[Using a SharinPix component in an Iframe (Developer-oriented)](/documentation/features/main-integration/using-a-sharinpix-component-in-an-iframe-developer-oriented.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sharinpix.com/faqs/how-to-bypass-the-validation-of-cookie-usage-error-when-using-a-sharinpix-component-in-an-iframe.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
